package test.portlet.common;

import java.io.Serializable;

public class TestEvent implements Serializable {
    private static final long serialVersionUID = 1L;
    private final int message;
    private final String sender;
    private final String receiver;

    public TestEvent(String sender, String receiver, int message) {
        this.sender = sender;
        this.receiver = receiver;
        this.message = message;
    }

    public String getSender() {
        return sender;
    }

    public String getReceiver() {
        return receiver;
    }

    public int getMessage() {
        return message;
    }

    @Override
    public String toString() {
        return "sender: " + sender + " / receiver: " + receiver + " / message: " + message;
    }

}
